/* -*-c-*-
 *
 * $Id: dbutils.h,v 1.5 1998/01/12 16:43:29 mdw Exp $
 *
 * Debugging things
 *
 * (c) 1998 Straylight
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: dbutils.h,v $
 * Revision 1.5  1998/01/12 16:43:29  mdw
 * Include required header files.  Fix copyright date.
 *
 * Revision 1.4  1997/08/07 10:01:46  mdw
 * (Log entry for previous version is bogus.)  No changes made.
 *
 * Revision 1.2  1997/08/04 10:24:22  mdw
 * Sources placed under CVS control.
 *
 * Revision 1.1  1997/07/21  13:47:50  mdw
 * Initial revision
 *
 */

#ifndef DBUTILS_H
#define DBUTILS_H

/* --- Note --- *
 *
 * This is most certainly not portable.  I'm using VT100-specific control
 * codes to clear the screen and @select@ to pause for a bit between
 * allocations to stop the scree flicker driving me up the wall.
 *
 * The main routine just allocates and frees blocks randomly, and displays
 */

#if defined(__unix)
#  include <sys/time.h>
#  include <unistd.h>
#  define cls fputs("\33[H\33[2J", stderr) /* VT100 specific */
#  define pause do {							\
     struct timeval tv = { 0, 10000 };					\
     select(0, 0, 0, 0, &tv);						\
   } while (0)
#elif defined(__riscos)
#  include "swiv.h"
#  include "swis.h"
#  define cls _swi(OS_WriteC, _in(0), 12)
#  define pause _swi(OS_Byte, _in(0), 19)
#else
#  define cls				/* Tough.  Write these yourself. */
#  define pause
#endif

/*----- That's all, folks -------------------------------------------------*/

#endif
