/* -*-c-*-
 *
 * $Id: noise.h,v 1.2 1998/01/12 16:46:20 mdw Exp $
 *
 * Collection of environmental noise
 *
 * (c) 1998 EBI
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: noise.h,v $
 * Revision 1.2  1998/01/12 16:46:20  mdw
 * Fix copyright date.
 *
 * Revision 1.1  1997/08/07 09:45:26  mdw
 * New source file added to acquire environmental noise and add it to the
 * randomness pool (see `rand.c').
 *
 */

#ifndef NOISE_H
#define NOISE_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Functions provided ------------------------------------------------*/

/* --- @noise_acquire@ --- *
 *
 * Arguments:	---
 *
 * Returns:	---
 *
 * Use:		Attempts to acquire an amount of random noise from the
 *		environment.  A lot of it's not actually much good, but
 *		it's better than nothing.  There's probably a bit or two's
 *		worth in each item which gets added.
 */

extern void noise_acquire(void);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif

