/* -*-c-*-
 *
 * $Id: tx.h,v 1.3 1998/01/12 16:46:32 mdw Exp $
 *
 * Transfer for keys and other large integers
 *
 * (c) 1998 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This file is part of `become'
 *
 * `Become' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * `Become' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with `become'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: tx.h,v $
 * Revision 1.3  1998/01/12 16:46:32  mdw
 * Fix copyright date.
 *
 * Revision 1.2  1997/08/04 10:24:26  mdw
 * Sources placed under CVS control.
 *
 * Revision 1.1  1997/07/21  13:47:43  mdw
 * Initial revision
 *
 */

#ifndef TX_H
#define TX_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Required headers --------------------------------------------------*/

#include <stddef.h>

/*----- Functions provided ------------------------------------------------*/

/* --- @tx_getBits@ --- *
 *
 * Arguments:	@unsigned char *k@ = pointer to key array to unpack into
 *		@size_t sz@ = number of bits to read (elements in array)
 *	       	@FILE *fp@ = stream to read from
 *
 * Returns:	---
 *
 * Use:		Reads a number of bits into an array.  The least significant
 *		bits of the final word are cleared to zero.
 */

extern void tx_getBits(unsigned char */*k*/, size_t /*sz*/, FILE */*fp*/);

/* --- @tx_putBits@ --- *
 *
 * Arguments:	@unsigned char *k@ = pointer to key block
 *		@size_t sz@ = number of bits to write
 *		@FILE *fp@ = pointer to stream to write on
 *
 * Returns:	---
 *
 * Use:		Complements @tx_getBits@ above.  Writes a number of bits
 *		to a file in an easy-to-read and transportable format (hex!)
 */

extern void tx_putBits(unsigned char */*k*/, size_t /*sz*/, FILE */*fp*/);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
